import express from 'express';
import {
    createDiaryDateActivity,
    updateDiaryDateActivity,
    deleteDiaryDateActivity,
    updateDiaryDateActivityOrder,
    getDiaryDateActivities,
    addGroupActivity,
    updateGroupActivity,
    deleteGroupActivity,
} from '../controllers/diaryDateActivityController.js';
import { authenticate } from '../middleware/authMiddleware.js';

const router = express.Router();

router.use(authenticate);

router.post('/group', addGroupActivity);
router.put('/group/:clubId/:groupActivityId', updateGroupActivity);
router.delete('/group/:clubId/:groupActivityId', deleteGroupActivity);
router.post('/:clubId/', createDiaryDateActivity);
router.put('/:clubId/:id/order', updateDiaryDateActivityOrder);
router.put('/:clubId/:id', updateDiaryDateActivity);
router.delete('/:clubId/:id', deleteDiaryDateActivity);
router.get('/:clubId/:diaryDateId', getDiaryDateActivities);

export default router;
